> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/travel-rule/assign-vasp-to-vault",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Assign VASP to vault

> Sets the VASP Did for a specific vault. Pass empty string to remove existing one.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /screening/travel_rule/vault/{vaultAccountId}/vasp
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /screening/travel_rule/vault/{vaultAccountId}/vasp:
    post:
      tags:
        - Travel Rule
      summary: Assign VASP to vault
      description: >-
        Sets the VASP Did for a specific vault. Pass empty string to remove
        existing one.
      operationId: setVaspForVault
      parameters:
        - in: path
          name: vaultAccountId
          required: true
          description: The ID of the vault account
          schema:
            type: string
            format: numeric
            x-fb-entity: vault_account
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TravelRuleVaspForVault'
      responses:
        '201':
          description: OK
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TravelRuleVaspForVault'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<TravelRuleVaspForVault>>
            =
            fireblocks.travelRule.setVaspForVault(travelRuleApiSetVaspForVaultRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<TravelRuleVaspForVault>> response =
            fireblocks.travelRule().setVaspForVault(travelRuleVaspForVault,
            vaultAccountId, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.travel_rule.set_vasp_for_vault(travel_rule_vasp_for_vault,
            vault_account_id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    TravelRuleVaspForVault:
      type: object
      properties:
        vaspDid:
          description: VASP DID
          type: string
          example: did:ethr:0x5dddec8dd669c49304ddbcba36ccc6e0798534dc
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````